Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2025-11-11 The HDF5 Field Guide

- Main Page
- Getting started
- User Guide
- Reference Manual
- Cookbook
- Technical Notes
- RFCs
- Specifications
- Glossary
- Full-Text Search
- About

Loading...
Searching...
No Matches
Static Public Member Functions
H5Library Class Reference

`#include <c++/src/H5Library.h>`

## Detailed Description

Class H5Library operates the HDF5 library globably.

It is not necessary to construct an instance of H5Library to use the methods.

## Static Public Member Functions
static void | checkVersion (unsigned majnum, unsigned minnum, unsigned relnum)
static void | close ()
static void | dontAtExit ()
static void | garbageCollect ()
static void | getLibVersion (unsigned &majnum, unsigned &minnum, unsigned &relnum)
static void | initH5cpp (void)
static void | open ()
static void | setFreeListLimits (int reg_global_lim, int reg_list_lim, int arr_global_lim, int arr_list_lim, int blk_global_lim, int blk_list_lim)
static void | termH5cpp (void)

## Member Function Documentation

## ◆ checkVersion()

static void checkVersion | ( | unsigned | majnum,
|  | unsigned | minnum,
|  | unsigned | relnum )
| static

## ◆ close()

static void close | ( |  | ) |
| static

## ◆ dontAtExit()

static void dontAtExit | ( |  | ) |
| static

## ◆ garbageCollect()

static void garbageCollect | ( |  | ) |
| static

## ◆ getLibVersion()

static void getLibVersion | ( | unsigned & | majnum,
|  | unsigned & | minnum,
|  | unsigned & | relnum )
| static

## ◆ initH5cpp()

static void initH5cpp | ( | void |  | ) |
| static

## ◆ open()

static void open | ( |  | ) |
| static

## ◆ setFreeListLimits()

static void setFreeListLimits | ( | int | reg_global_lim,
|  | int | reg_list_lim,
|  | int | arr_global_lim,
|  | int | arr_list_lim,
|  | int | blk_global_lim,
|  | int | blk_list_lim )
| static

## ◆ termH5cpp()

static void termH5cpp | ( | void |  | ) |
| static

The documentation for this class was generated from the following file:

- c++/src/H5Library.h